GetVersionUpgrade
Fetches a version upgrade identified by the UUID.
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/version-upgrades/{uuid}import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/version-upgrades/{uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/version-upgrades/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"tenant_meta": {
"namespace": "<string>"
},
"spec": {
"name": "<string>",
"project_uuid": "<string>",
"all_upgrades": {
"upgrade_list": [
{
"cia_results": [
{
"confidence": "CONFIDENCE_UNSPECIFIED",
"function_change": {
"defined": true,
"diff_change": "CHANGE_TYPE_UNSPECIFIED",
"function_reference": "<string>",
"id": "<string>",
"modifier_change": "MODIFIER_CHANGE_TYPE_UNSPECIFIED"
},
"reachable_path": [
"<string>"
],
"type_change": {
"declared_type": "<string>",
"diff_change": "CHANGE_TYPE_UNSPECIFIED",
"id": "<string>",
"modifier_change": "MODIFIER_CHANGE_TYPE_UNSPECIFIED",
"package_name": "<string>"
},
"violating_types": {}
}
],
"cia_status": "<string>",
"conflicts": 123,
"conflicts_map": {},
"cur_dep_count": 123,
"current_conflicts": 123,
"deps_added": 123,
"deps_removed": 123,
"direct_dependency_manifest_files": [
"<string>"
],
"direct_dependency_package": "<string>",
"endor_scores_improvement": {},
"from_pkg_version_uuid": "<string>",
"from_version": "<string>",
"from_version_age_in_days": 123,
"from_version_publish_time": "2023-11-07T05:31:56Z",
"is_best": true,
"is_endor_patch": true,
"is_latest": true,
"minor_conflicts": 123,
"minor_conflicts_map": {},
"other_finding_info": {
"current_count": 123,
"fixed_findings": [
"<string>"
],
"reduction": 123,
"severity": {},
"upgrade_count": 123
},
"package_count": 123,
"project": "<string>",
"root_package_version": "<string>",
"root_pkg_version_uuid": "<string>",
"score": 123,
"score_explanation": "<string>",
"to_pkg_version_uuid": "<string>",
"to_version": "<string>",
"to_version_age_in_days": 123,
"to_version_publish_time": "2023-11-07T05:31:56Z",
"total_findings_fixed": 123,
"total_findings_introduced": 123,
"update_dep_count": 123,
"upgrade_risk": "<string>",
"vuln_finding_info": {
"current_count": 123,
"fixed_findings": [
"<string>"
],
"reduction": 123,
"severity": {},
"upgrade_count": 123
},
"worth_it": true
}
]
},
"configuration": {
"avoid_pre_releases": true,
"no_upgrade_package_set": [
"<string>"
],
"prefer_minor_version_upgrades": true,
"reachable_findings_only": true,
"score_improvement_threshold": 123,
"skip_test": true,
"target_dependency": "<string>",
"top_only": 123,
"upgrade_if_better_scores": true,
"upgrade_if_operational_findings": "<string>",
"upgrade_if_vulnerability_findings": "<string>",
"use_cia": true
},
"finding_fixing_upgrades": {},
"prioritized_upgrades": {
"upgrade_list": [
{
"cia_results": [
{
"confidence": "CONFIDENCE_UNSPECIFIED",
"function_change": {
"defined": true,
"diff_change": "CHANGE_TYPE_UNSPECIFIED",
"function_reference": "<string>",
"id": "<string>",
"modifier_change": "MODIFIER_CHANGE_TYPE_UNSPECIFIED"
},
"reachable_path": [
"<string>"
],
"type_change": {
"declared_type": "<string>",
"diff_change": "CHANGE_TYPE_UNSPECIFIED",
"id": "<string>",
"modifier_change": "MODIFIER_CHANGE_TYPE_UNSPECIFIED",
"package_name": "<string>"
},
"violating_types": {}
}
],
"cia_status": "<string>",
"conflicts": 123,
"conflicts_map": {},
"cur_dep_count": 123,
"current_conflicts": 123,
"deps_added": 123,
"deps_removed": 123,
"direct_dependency_manifest_files": [
"<string>"
],
"direct_dependency_package": "<string>",
"endor_scores_improvement": {},
"from_pkg_version_uuid": "<string>",
"from_version": "<string>",
"from_version_age_in_days": 123,
"from_version_publish_time": "2023-11-07T05:31:56Z",
"is_best": true,
"is_endor_patch": true,
"is_latest": true,
"minor_conflicts": 123,
"minor_conflicts_map": {},
"other_finding_info": {
"current_count": 123,
"fixed_findings": [
"<string>"
],
"reduction": 123,
"severity": {},
"upgrade_count": 123
},
"package_count": 123,
"project": "<string>",
"root_package_version": "<string>",
"root_pkg_version_uuid": "<string>",
"score": 123,
"score_explanation": "<string>",
"to_pkg_version_uuid": "<string>",
"to_version": "<string>",
"to_version_age_in_days": 123,
"to_version_publish_time": "2023-11-07T05:31:56Z",
"total_findings_fixed": 123,
"total_findings_introduced": 123,
"update_dep_count": 123,
"upgrade_risk": "<string>",
"vuln_finding_info": {
"current_count": 123,
"fixed_findings": [
"<string>"
],
"reduction": 123,
"severity": {},
"upgrade_count": 123
},
"worth_it": true
}
]
},
"stats": {
"cia_invocations": 123,
"compute_time": 123,
"data_load_time": 123,
"database_version_count": 123,
"dep_meta_count": 123,
"dep_uuids": 123,
"direct_dependency_count": 123,
"direct_deps_count": 123,
"direct_deps_package_count": 123,
"findings_after_filtering": 123,
"findings_fixed_by_upgrade_count": 123,
"findings_read": 123,
"incomplete_releases": 123,
"max_releases_behind": 123,
"missing_version_count": 123,
"namespace": "<string>",
"package_count": 123,
"package_manager_version_count": 123,
"pre_upgrade_findings_count": 123,
"project_name": "<string>",
"project_uuid": "<string>",
"score_breakdown": {},
"scores_read": 123,
"skipped_due_to_cia": 123,
"upgrades_proposed": 123,
"upgrades_reviewed": 123,
"upgrades_skipped": 123,
"zero_conflict_upgrades_proposed": 123
},
"upgrade_info": {
"cia_results": [
{
"confidence": "CONFIDENCE_UNSPECIFIED",
"function_change": {
"defined": true,
"diff_change": "CHANGE_TYPE_UNSPECIFIED",
"function_reference": "<string>",
"id": "<string>",
"modifier_change": "MODIFIER_CHANGE_TYPE_UNSPECIFIED"
},
"reachable_path": [
"<string>"
],
"type_change": {
"declared_type": "<string>",
"diff_change": "CHANGE_TYPE_UNSPECIFIED",
"id": "<string>",
"modifier_change": "MODIFIER_CHANGE_TYPE_UNSPECIFIED",
"package_name": "<string>"
},
"violating_types": {}
}
],
"cia_status": "<string>",
"conflicts": 123,
"conflicts_map": {},
"cur_dep_count": 123,
"current_conflicts": 123,
"deps_added": 123,
"deps_removed": 123,
"direct_dependency_manifest_files": [
"<string>"
],
"direct_dependency_package": "<string>",
"endor_scores_improvement": {},
"from_pkg_version_uuid": "<string>",
"from_version": "<string>",
"from_version_age_in_days": 123,
"from_version_publish_time": "2023-11-07T05:31:56Z",
"is_best": true,
"is_endor_patch": true,
"is_latest": true,
"minor_conflicts": 123,
"minor_conflicts_map": {},
"other_finding_info": {
"current_count": 123,
"fixed_findings": [
"<string>"
],
"reduction": 123,
"severity": {},
"upgrade_count": 123
},
"package_count": 123,
"project": "<string>",
"root_package_version": "<string>",
"root_pkg_version_uuid": "<string>",
"score": 123,
"score_explanation": "<string>",
"to_pkg_version_uuid": "<string>",
"to_version": "<string>",
"to_version_age_in_days": 123,
"to_version_publish_time": "2023-11-07T05:31:56Z",
"total_findings_fixed": 123,
"total_findings_introduced": 123,
"update_dep_count": 123,
"upgrade_risk": "<string>",
"vuln_finding_info": {
"current_count": 123,
"fixed_findings": [
"<string>"
],
"reduction": 123,
"severity": {},
"upgrade_count": 123
},
"worth_it": true
}
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
The UUID of the requested resource.
Query Parameters
List of fields to return (all fields are returned by default).
Response
A successful response.
VersionUpgrade contains all information about a possible version upgrade of a dependency package. This upgrade object can be under a project or a package version object.
Contexts keep objects from different scans separated.
Show child attributes
Show child attributes
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The UUID of the resource.
Was this page helpful?
